package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWFJA6 extends MwfRequest<MWFJA6, MWFJA6Response> {

    @Parameter(name = "CastkaTransakce")
    MWFJA6 castkaTransakce(Double castkaTransakce);
    @Parameter(name = "CisloUctu")
    MWFJA6 cisloUctu(String cisloUctu);
    @Parameter(name = "CisloUctuPrijemce")
    MWFJA6 cisloUctuPrijemce(String cisloUctuPrijemce);
    @Parameter(name = "DatumSplatnosti")
    MWFJA6 datumSplatnosti(java.util.Date datumSplatnosti);
    @Parameter(name = "ID")
    MWFJA6 id(String id);
    @Parameter(name = "KodBanky")
    MWFJA6 kodBanky(String kodBanky);
    @Parameter(name = "Predcisli")
    MWFJA6 predcisli(Long predcisli);
    @Parameter(name = "PredcisliPrijemce")
    MWFJA6 predcisliPrijemce(Long predcisliPrijemce);
    @Parameter(name = "Profil")
    MWFJA6 profil(String profil);
}
